netatalk: adouble Struct Reference

netatalk 4.5.1
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
adouble Struct Reference

`#include <adouble.h>`

## Data Fields
uint32_t | ad_magic
uint32_t | ad_version
char | ad_filler [16]
struct ad_entry | ad_eid [ADEID_MAX]
struct ad_fd | ad_data_fork
struct ad_fd | ad_resource_fork
struct ad_fd * | ad_rfp
struct ad_fd * | ad_mdp
int | ad_vers
int | ad_adflags
uint32_t | ad_inited
int | ad_options
int | ad_refcount
int | ad_data_refcount
int | ad_meta_refcount
int | ad_reso_refcount
off_t | ad_rlen
char * | ad_name
struct adouble_fops * | ad_ops
uint16_t | ad_open_forks
size_t | valid_data_len
char | ad_data [AD_DATASZ_MAX]

## Field Documentation

## ◆ ad_adflags

int adouble::ad_adflags

ad_open flags adflags like ADFLAGS_DIR

## ◆ ad_data

char adouble::ad_data[AD_DATASZ_MAX]

## ◆ ad_data_fork

struct ad_fd adouble::ad_data_fork

the data fork

## ◆ ad_data_refcount

int adouble::ad_data_refcount

## ◆ ad_eid

struct ad_entry adouble::ad_eid[ADEID_MAX]

## ◆ ad_filler

char adouble::ad_filler[16]

## ◆ ad_inited

uint32_t adouble::ad_inited

## ◆ ad_magic

uint32_t adouble::ad_magic

Official adouble magic

## ◆ ad_mdp

struct ad_fd* adouble::ad_mdp

adouble:v2 -> ad_resource_fork adouble:ea -> ad_data_fork

## ◆ ad_meta_refcount

int adouble::ad_meta_refcount

## ◆ ad_name

char* adouble::ad_name

mac name (maccharset or UTF8-MAC)

## ◆ ad_open_forks

uint16_t adouble::ad_open_forks

open forks (by others)

## ◆ ad_ops

struct adouble_fops* adouble::ad_ops

## ◆ ad_options

int adouble::ad_options

## ◆ ad_refcount

int adouble::ad_refcount

multiple forks may open one adouble

## ◆ ad_reso_refcount

int adouble::ad_reso_refcount

## ◆ ad_resource_fork

struct ad_fd adouble::ad_resource_fork

adouble:v2 -> the adouble file adouble:ea -> the EA fd

## ◆ ad_rfp

struct ad_fd* adouble::ad_rfp

adouble:v2 -> ad_resource_fork adouble:ea -> ad_resource_fork

## ◆ ad_rlen

off_t adouble::ad_rlen

resource fork len with AFP 3.0 the header parameter size is too small.

## ◆ ad_vers

int adouble::ad_vers

Our adouble version info (AD_VERSION*)

## ◆ ad_version

uint32_t adouble::ad_version

Official adouble version number

## ◆ valid_data_len

size_t adouble::valid_data_len

Bytes read into ad_data

The documentation for this struct was generated from the following file:

- adouble.h